package org.apache.bcel.classfile;

import java.io.DataInput;
import java.io.DataOutputStream;
import java.io.IOException;

/* loaded from: org_apache_bcel_classfile.jar:org/apache/bcel/classfile/ConstantFloat.class */
public final class ConstantFloat extends Constant implements ConstantObject {
    private float bytes;

    public ConstantFloat(ConstantFloat c) {
        this(c.getBytes());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public ConstantFloat(DataInput file) throws IOException {
        this(file.readFloat());
    }

    public ConstantFloat(float bytes) {
        super((byte) 4);
        this.bytes = bytes;
    }

    @Override // org.apache.bcel.classfile.Constant, org.apache.bcel.classfile.Node
    public void accept(Visitor v) {
        v.visitConstantFloat(this);
    }

    @Override // org.apache.bcel.classfile.Constant
    public void dump(DataOutputStream file) throws IOException {
        file.writeByte(super.getTag());
        file.writeFloat(this.bytes);
    }

    public float getBytes() {
        return this.bytes;
    }

    @Override // org.apache.bcel.classfile.ConstantObject
    public Object getConstantValue(ConstantPool cp) {
        return Float.valueOf(this.bytes);
    }

    public void setBytes(float bytes) {
        this.bytes = bytes;
    }

    @Override // org.apache.bcel.classfile.Constant
    public String toString() {
        return super.toString() + "(bytes = " + this.bytes + ")";
    }
}
